Get an offer
One offer of the workspace of the API key. An ID of another workspace is reported as not found.
GET
/
offers
/
{id}
Get an offer
curl --request GET \
--url https://app.hocdoc.com/api/v1/offers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hocdoc.com/api/v1/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hocdoc.com/api/v1/offers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "0b0e7c1e-2f6a-4c3b-9d1e-5a4b3c2d1e0f",
"title": "Website relaunch",
"status": "sent",
"created_at": "2026-10-06T08:15:30.123Z",
"updated_at": "2026-10-06T08:20:04.317Z",
"sent_at": "2026-10-06T08:20:04.317Z",
"expires_at": "2026-10-20T21:59:59.999Z",
"accepted_at": null,
"expired_at": null,
"version": 2,
"recipient": {
"name": "Jane Doe",
"company": "Example GmbH",
"email": "jane@example.com"
},
"accepted_by": null,
"value": {
"amount": 480000,
"currency": "EUR"
}
}
}⌘I
Get an offer
curl --request GET \
--url https://app.hocdoc.com/api/v1/offers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hocdoc.com/api/v1/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hocdoc.com/api/v1/offers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "0b0e7c1e-2f6a-4c3b-9d1e-5a4b3c2d1e0f",
"title": "Website relaunch",
"status": "sent",
"created_at": "2026-10-06T08:15:30.123Z",
"updated_at": "2026-10-06T08:20:04.317Z",
"sent_at": "2026-10-06T08:20:04.317Z",
"expires_at": "2026-10-20T21:59:59.999Z",
"accepted_at": null,
"expired_at": null,
"version": 2,
"recipient": {
"name": "Jane Doe",
"company": "Example GmbH",
"email": "jane@example.com"
},
"accepted_by": null,
"value": {
"amount": 480000,
"currency": "EUR"
}
}
}